%define contentdir /var/www/html
Summary: An embedded Python interpreter for the Apache Web server.
Name: mod_python
Version: 2.7.8
Release: 1.7.3.3.legacy 
Source: http://www.modpython.org/dist/%{name}-%{version}.tgz
Patch0: mod_python-2.7.3-paths.patch
Patch1: mod_python-cleanup.patch
Patch2: mod_python-CAN-2003-0973.patch
# Fedora Legacy Security Patches
Patch100: mod_python-2.7.8-CAN-2005-0088.patch
Patch101:  mod_python-2.7.8-redhat_configure.patch
URL: http://www.modpython.org/
License: GPL
Group: System Environment/Daemons
Buildroot: %{_tmppath}/%{name}-%{version}-root
Requires: webserver
BuildPrereq: apache-devel, python, python-devel

%description
Mod_python is a module that embeds the Python language interpreter within
the server, allowing Apache handlers to be written in Python.

Mod_python brings together the versatility of Python and the power of
the Apache Web server for a considerable boost in flexibility and
performance over the traditional CGI approach.

%prep
%setup -q 
%patch0 -p1 -b .paths
%patch1 -p1 -b .cleanup
%patch2 -p1 -b .CAN-2003-0973
# Fedora Legacy Security Patches
%patch100 -p1 -b .CAN-2005-0088
%patch101 -p1 -b .ieee_config

%build
%configure --with-apxs=%{_sbindir}/apxs
make OPT="`%{_sbindir}/apxs -q CFLAGS` -fPIC"

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}/apache
make install ROOT=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{contentdir}/manual/mod/%{name}
cp -a doc-html/* $RPM_BUILD_ROOT%{contentdir}/manual/mod/%{name}/

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README NEWS CREDITS COPYRIGHT
%{contentdir}/manual/mod/%{name}
%{_libdir}/apache/mod_python.so
%{_libdir}/python*/site-packages/mod_python

%changelog
* Sat Mar 11 2006 Jeff Sheltren <sheltren@cs.ucsb.edu> 2.7.8-1.7.3.3.legacy
- Patch for CAN-2005-0088 (#152896)
- Patch config file to remove ieee linking which was causing build to fail

* Fri May 01 2004 Jonny Strom <jonny.strom@netikka.fi> 2.7.8-1
- update for CAN-2003-0973

* Mon Apr 22 2002 Nalin Dahyabhai <nalin@redhat.com> 2.7.8-1
- update for RHSA-2002:070

* Thu Feb 28 2002 Nalin Dahyabhai <nalin@redhat.com> 2.7.6-5
- add patch for cleanups (#57232)

* Fri Feb 22 2002 Nalin Dahyabhai <nalin@redhat.com> 2.7.6-4
- rebuild with python 1.5

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Fri Jan 04 2002 Florian La Roche <Florian.LaRoche@redhat.de>
- change for python 2.2

* Thu Aug  9 2001 Nalin Dahyabhai <nalin@redhat.com>
- update to 2.7.6

* Mon Jun 25 2001 Nalin Dahyabhai <nalin@redhat.com>
- update to 2.7.5
- add URL
- move docs so that they live under %{contentdir}

* Thu May 31 2001 Nalin Dahyabhai <nalin@redhat.com>
- update to 2.7.3

* Tue Jan 16 2001 Cristian Gafton <gafton@redhat.com>
- fix module compilation paths
- build first package for RHN
